#
# spec file for package pology
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           pology
Version:        0.12
Release:        lp150.1.3
Summary:        Command-line tools for in-depth processing of PO files
License:        GPL-3.0+
Group:          Development/Tools/Other
Url:            http://pology.nedohodnik.net/
Source0:        http://pology.nedohodnik.net/release/%{name}-%{version}.tar.bz2
BuildRequires:  cmake
BuildRequires:  gettext-devel
BuildRequires:  libxml2-devel
BuildRequires:  libxslt-devel
BuildRequires:  python-xml
Recommends:     aspell
Recommends:     git
Recommends:     hunspell
Recommends:     python-pyenchant
Recommends:     subversion
BuildArch:      noarch

%description
Pology is a Python library and collection of command-line tools for in-depth
processing of PO files, the translation file format of the GNU Gettext software
translation system. Pology functionality ranges from precision operations on
individual PO messages, to cross-file operations on large collections of PO
files.

%lang_package

%prep
%setup -q
sed -i \
    -e 's:${DATA_INSTALL_DIR}/${srcsubdir}:%{_sysconfdir}/bash_completion.d/:' \
    completion/bash/CMakeLists.txt

%build
%cmake
make -j1

%install
%cmake_install

%find_lang %{name} || echo -n >> %{name}.lang

# docs are better updated online
rm -rf %{buildroot}%{_datadir}/doc/pology/

%files
%{_bindir}/*
%{_sysconfdir}/bash_completion.d/%{name}
%{python_sitelib}/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*

%files lang -f %{name}.lang

%changelog
* Fri Jul 28 2017 tchvatal@suse.com
- Drop epydoc dependency as we are trying to remove this
  python documentation generator
* Mon Oct 20 2014 vpelcak@suse.com
- Added python-pyenchant to recommends for check-spell-ec
* Mon Oct 20 2014 tchvatal@suse.com
- Install the bash completion file to right location
* Mon Jul 28 2014 vpelcak@suse.com
- Version upgrade to 0.12:
  * check-rules sieve: New parameter 'byrule' to list failed messages
    at the end of processing sorted by rule identifier.
  * new unfuzzy-qtclass-only sieve: Unfuzzy messages which were
    fuzzied due to C++ class name change in code, in catalogs
    derived by conversion from Qt Linguist translation files.
  * posummit: New field to set the precedence of summit subdirectories
    (S.subdir_precedence), so that branch catalogs existing in
    two or more branch subdirectories are always located in
    the higher priority summit subdirectory.
    When processing summit catalogs with some precedence set,
    the order of processing is also following the precedence,
    instead of being alphabetical by path throughout.
  * Syntax highlighting for code snippets in the user manual.
  * Updated language support (spelling, rules, etc):
    Catalan, French, Galician, Norwegian, Serbian, Spanish.
  * Updated project-specific support: KDE.
  * stats sieve: File with list of incomplete catalogs
    (when setting 'incompfile' parameter ) is always written,
    even if all catalogs are complete, i.e. empty list file is produced.
    This prevents an old list file appearing as the new one.
  * posummit: When branch catalogs without expected corresponding
    summit catalogs are detected (on merge and scatter), instead of
    error a warning is issued. It has been seen in practice that
    higher attention demanded by error was more trouble than worth.
    Such branch catalogs are then skipped during the operation.
  * Word wrapping of message fields when writing catalogs was wrong
    in some cases when visual and character word lengths were different
    (e.g. CJK languages). This could have resulted in corrupted catalogs.
  * stats sieve: Heuristics for splitting word count from fuzzy messages
    into translated/untranslated (when 'ondiff' parameter is issued)
    will no longer cause negative additions.
  * More detailed licensing information throughout.
  * Adapted VCS handling for Subversion 1.7.
* Fri Jun 13 2014 tchvatal@suse.com
- Initial commit of PO processing framework for kde translations.
